Antsle Forum

Welcome to our Antsle community! This forum is to connect all Antsle users to post experiences, make user-generated content available for the entire community and more. 

Please note: This forum is about discussing one specific issue at a time. No generalizations. No judgments. Please check the Forum Rules before posting. If you have specific questions about your Antsle and expect a response from our team directly, please continue to use the appropriate channels (email: [email protected]) so every inquiry is tracked. 

Forum breadcrumbs - You are here:ForumGeneral: GeneralUnable to install unzip
Please or Register to create posts and topics.

Unable to install unzip

I have the LEMP template installed.  After starting it I did an apt-get update followed by apt-get upgrade.  Then I attempted to install the zip utility with

apt-get install zip

This was supposed to install both zip and unzip.  However, unzip failed with the messages:

E: Failed to fetch http://httpredir.debian.org/debian/pool/main/u/unzip/unzip_6.0-23+deb10u1_amd64.deb 404 Not Found [IP: 151.101.26.132 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

I tried the --fix-missing option with no success.

Has something changed with the repositories??

Thanks.

Hi @pjhunter

From looking at the logs above, it appears you are using x64-86 version of edgeLinux/antMan.

I was able to install zip but I needed to do the following:

 apt update
Type in "y" and hit <enter> when prompted.

apt install zip
I was able to install zip.

If unzip is still not installed, run this command:
apt install unzip

OPTIONAL:
After that, you can run this command to further upgrade your system:
apt upgrade

Click on <enter> when prompted.

This will remove packages no longer needed.
apt autoremove

Yes, there seems to be some changes with repositories.

You can also try using this to update the key:

apt-key del 95BD4743; wget -nv -O - "https://packages.sury.org/php/apt.gpg" | apt-key add -

apt update
apt upgrade

@daniel-luck,

Thank you.  I had already done what you suggested in your first post.  When I performed the steps in your second post, and did:

apt install unzip

It worked fine.  I will file this away.

 

Hi @pjhunter

Thanks for the input on the template.   Glad to hear that worked for you.

By the way, I've updated the LEMP-Stack - LXC for x64_86 template so it has the newest updates and includes zip/unzip.